Vulnerability Name:

CVE-2018-5683

Assigned:2017-12-25
Published:2017-12-25
Updated:2018-07-11
Summary:The vga_draw_text function in Qemu allows local OS guest privileged users to cause a denial of service (out-of-bounds read and QEMU process crash) by leveraging improper memory address validation.
CVSS v3 Severity:6.0 Medium (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:H)
5.2 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): High
User Interaction (UI): None
Scope:Scope (S): Changed
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
3.3 Low (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L)
2.9 Low (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
3.0 Low (REDHAT CVSS v3 Vector: CVSS:3.0/AV:A/AC:H/PR:L/UI:N/S:C/C:N/I:N/A:L)
2.6 Low (REDHAT Temporal CVSS v3 Vector: CVSS:3.0/AV:A/AC:H/PR:L/UI:N/S:C/C:N/I:N/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Adjacent
Attack Complexity (AC): High
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Changed
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
CVSS v2 Severity:2.1 Low (CVSS v2 Vector: AV:L/AC:L/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
1.7 Low (CCN CVSS v2 Vector: AV:L/AC:L/Au:S/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
2.3 Low (REDHAT CVSS v2 Vector: AV:A/AC:M/Au:S/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Adjacent_Network
Access Complexity (AC): Medium
Authentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
Vulnerability Type:CWE-125
References:Source: MLIST
Type: VENDOR_ADVISORY
[oss-security] 20180115 CVE-2018-5683 Qemu: Out-of-bounds read in vga_draw_text routine

Source: BID
Type: VENDOR_ADVISORY
102518

Source: REDHAT
Type: UNKNOWN
RHSA-2018:0816

Source: REDHAT
Type: UNKNOWN
RHSA-2018:1104

Source: REDHAT
Type: UNKNOWN
RHSA-2018:2162

Source: XF
Type: UNKNOWN
qemu-cve20185683-dos(138209)

Source: MLIST
Type: VENDOR_ADVISORY
[Qemu-devel] 20180112 Re: [Qemu-devel] [PATCH v3] vga: check the validation of memory addr when draw text

Source: UBUNTU
Type: UNKNOWN
USN-3575-1

Source: DEBIAN
Type: UNKNOWN
DSA-4213

Vulnerable Configuration:Configuration 1:
  • cpe:/a:qemu:qemu:*:*:*:*:*:*:*:*

  • Configuration RedHat 1:
  • cpe:/o:redhat:enterprise_linux:7:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:qemu:qemu:*:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20185683
    V
    CVE-2018-5683
    2018-07-19
    oval:com.redhat.rhsa:def:20182162
    P
    RHSA-2018:2162: qemu-kvm security update (Important)
    2018-07-10
    oval:com.redhat.rhsa:def:20180816
    P
    RHSA-2018:0816: qemu-kvm security, bug fix, and enhancement update (Low)
    2018-04-10
    oval:com.ubuntu.xenial:def:20185683000
    V
    CVE-2018-5683 on Ubuntu 16.04 LTS (xenial) - low.
    2018-01-23
    oval:com.ubuntu.trusty:def:20185683000
    V
    CVE-2018-5683 on Ubuntu 14.04 LTS (trusty) - low.
    2018-01-23
    oval:com.ubuntu.artful:def:20185683000
    V
    CVE-2018-5683 on Ubuntu 17.10 (artful) - low.
    2018-01-23
    BACK
    qemu qemu *
    qemu qemu *